<?php
/*
Plugin Name: CaliCoTek Floating Social Slider
Plugin URI: http://calicotek.com
Description: this will add a floating social network slider with like and follow buttons to the right side of the website
Version: 1.0
Author: modmanmatt
Author URI: http://calicotek.com
*/

// This will Intall the Necessary Action Triggers and functions required for this plugin to work

// this wil add the action trigger to your wp site using the wp_head Trigger
  add_action('wp_head', 'insert_css_code');
  add_action('wp_head', 'insert_social_slider_code');

// This inserts the code for the css style and slider images code from style.css
  function insert_css_code() {
    include( 'style.css' );	
  }
// This inserts the code for the Social Slider Scripts code from fss-code.php
  function insert_social_slider_code() {
    include( 'fss-code.php' );	
  }
if(!class_exists('kkPluginOptions')) :

// DEFINE PLUGIN ID
define('KKPLUGINOPTIONS_ID', 'kk-plugin-options');
// DEFINE PLUGIN NICK
define('KKPLUGINOPTIONS_NICK', 'kk Plugin Options');

    class kkPluginOptions
    {
		/** function/method
		* Usage: return absolute file path
		* Arg(1): string
		* Return: string
		*/
		public static function file_path($file)
		{
			return ABSPATH.'wp-content/plugins/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)).$file;
		}
		/** function/method
		* Usage: hooking the plugin options/settings
		* Arg(0): null
		* Return: void
		*/
		public static function register()
		{
			register_setting(KKPLUGINOPTIONS_ID.'_options', 'cct_quote_facebook');
		    register_setting(KKPLUGINOPTIONS_ID.'_options', 'cct_quote_twitter');
		    register_setting(KKPLUGINOPTIONS_ID.'_options', 'cct_quote_googleplus');
		    register_setting(KKPLUGINOPTIONS_ID.'_options', 'cct_quote_email');
		}
		/** function/method
		* Usage: hooking (registering) the plugin menu
		* Arg(0): null
		* Return: void
		*/
		public static function menu()
		{
			// Create menu tab
			add_options_page(KKPLUGINOPTIONS_NICK.' Plugin Options', KKPLUGINOPTIONS_NICK, 'manage_options', KKPLUGINOPTIONS_ID.'_options', array('kkPluginOptions', 'options_page'));
		}
		/** function/method
		* Usage: show options/settings form page
		* Arg(0): null
		* Return: void
		*/
		public static function options_page()
		{ 
			if (!current_user_can('manage_options')) 
			{
				wp_die( __('You do not have sufficient permissions to access this page.') );
			}
			
			$plugin_id = KKPLUGINOPTIONS_ID;
			// display options page
			include(self::file_path('options.php'));
		}
		/** function/method
		* Usage: filtering the content
		* Arg(1): string
		* Return: string
		*/
		public static function content_with_quote($content)
		{
			$quote = '<p><blockquote>' . get_option('kkpo_quote') . '</blockquote></p>';
			return $content . $quote;
		}
    }
	
	if ( is_admin() )
	{
		add_action('admin_init', array('kkPluginOptions', 'register'));
		add_action('admin_menu', array('kkPluginOptions', 'menu'));
	}
	add_filter('the_content', array('kkPluginOptions', 'content_with_quote'));
endif;
?>